#ifndef _EDITPROFILEMASH_H
#define _EDITPROFILEMASH_H

#include <QDialog>
#include <QJsonDocument>

namespace Ui {
class EditProfileMash;
}

class EditProfileMash : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditProfileMash(int id, QWidget *parent = 0);
    ~EditProfileMash();

private slots:
    void on_saveButton_clicked();
    void on_cloneButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void make_Json();
    void refreshTable(void);
    void cell_Changed(int nRow, int nCol);
    void combo_Changed();
    void on_addButton_clicked();
    void on_deleteRow_clicked();

private:
    Ui::EditProfileMash *ui;
    int recno;
    bool textIsChanged = false;
    bool ignoreChanges = false;
    QJsonDocument steps;

    void WindowTitle();
};

#endif
